#ifndef GPF_PARMS
#define GPF_PARMS

typedef char		CHAR;
typedef unsigned char 	UCHAR; 
typedef unsigned char	*PUCHAR;
typedef short		SHORT;
typedef unsigned int	USHORT;

/**********************************************************************/
/*								      */
/* Define GPFPARMS (Gpf Parameters)				      */
/*								      */
/**********************************************************************/
 
typedef struct
     {
	LONG	 Filler1[3];   	  /* Reserved for Gpf future use  */
	LPVOID	 pCrtParms;	  /* Create User Parameters	  */
	LPVOID	 pUsrParms;	  /* Reserved for User Parameters */
	HWND	 hwnd;		  /* window handle		  */
	USHORT	 msg;		  /* message number		  */
	WORD	 wParam;	  /* 1st (packed) parms 	  */
	DWORD	 dwParam;	  /* 2nd (packed) parms 	  */
	LONG     mresult;	  /* Mresult			  */
	HANDLE	 hInstance;	  /* handle instance		  */
	HDC	 hdc;		  /* handle display contect	  */
	PAINTSTRUCT	 ps;	  /* Paint structure		  */
	USHORT	 ShortMsgId;	  /* Current Short Message Id	  */
	LONG	 Filler2;	  /* reserved			  */
	USHORT	 Command;	  /* Command From wParam (SHORT 1)*/
	USHORT	 Notify;	  /* Notify  From wParam (SHORT 2)*/
	HBRUSH	 BgColor;	  /* background color (paint)	  */
     }	GPFPARMS;		  /* Gpf Parameters		 */
typedef GPFPARMS FAR *PGPFPARMS;

#endif
 

